#
# spec file for package vte
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _sover -2_91-0
%define _apiver 2.91
%define _binver 2.91
%define _gtkver 3.0

Name:           vte
%define _name   vte
Url:            http://www.gnome.org
Version:        0.44.2
Release:        2.2
Summary:        Terminal Emulator Library
License:        LGPL-2.0 and GPL-2.0+
Group:          Development/Libraries/GNOME
Source:         http://download.gnome.org/sources/vte/0.44/%{_name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM vte-widget_get_preferred_height.patch bgo#760944 zaitor@opensuse.org -- widget_get_preferred_height: use vertical padding, not horizontal
Patch0:         vte-widget_get_preferred_height.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.40.0
BuildRequires:  pkgconfig(gnutls) >= 3.2.7
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.16.0
# This got reverted just before release, please re-enable once version > 0.44.x
#BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(pango) >= 1.22.0
BuildRequires:  pkgconfig(vapigen) >= 0.18
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.

%package -n libvte%{_sover}

Summary:        Terminal Emulator Library
License:        LGPL-2.0
Group:          System/Libraries
Recommends:     %{name}-lang
# Needed to make lang package installable (and because we used to
# have a vte package earlier).
Provides:       %{name} = %{version}
Obsoletes:      %{name} < %{version}
# gnome-pty-helper was dropped in 0.41.90
Obsoletes:      gnome-pty-helper

%description -n libvte%{_sover}
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.

%package -n typelib-1_0-Vte-%{?_binver}
Summary:        Terminal Emulator Library -- Introspection bindings
License:        LGPL-2.0
Group:          System/Libraries

%description -n typelib-1_0-Vte-%{?_binver}
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.

This package provides the GObject Introspection bindings for VTE.

%package tools
Summary:        Terminal Emulator Library -- Tools
License:        LGPL-2.0
Group:          System/Libraries

%description tools
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.

This package provides tools using VTE.

%package -n glade-catalog-vte
Summary:        Terminal Emulator Library -- Catalog for Glade
License:        LGPL-2.0 and GPL-2.0
Group:          Development/Tools/GUI Builders
Requires:       glade
Requires:       libvte%{_sover} = %{version}
Supplements:    packageand(glade:%{name}-devel)

%description -n glade-catalog-vte
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.

This package provides a catalog for Glade, to allow the use of VTE
widgets in Glade.

%package devel
Summary:        Terminal Emulator Library -- Development Files
License:        LGPL-2.0
Group:          Development/Libraries/GNOME
Requires:       libvte%{_sover} = %{version}
Requires:       typelib-1_0-Vte-%{?_binver} = %{version}
Provides:       vte-doc = %{version}
Obsoletes:      vte-doc < %{version}

%description devel
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ as well as handling of child process and terminal
emulation settings.

This package contains the files needed for building applications using
VTE.

%lang_package
%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
translation-update-upstream

%build
export SUID_CFLAGS="-fPIE"
export SUID_LDFLAGS="-pie"
%configure --with-pic\
        --with-gtk=%{_gtkver}\
        --disable-static \
        --enable-glade-catalogue \
        --enable-introspection
%__make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang vte-%{_apiver}
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%fdupes $RPM_BUILD_ROOT

%post -n libvte%{_sover} -p /sbin/ldconfig

%postun -n libvte%{_sover} -p /sbin/ldconfig

%files -n libvte%{_sover}
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/*.so.*
%{_sysconfdir}/profile.d/vte.sh

%files -n typelib-1_0-Vte-%{?_binver}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Vte-%{_apiver}.typelib

%files tools
%defattr(-,root,root)
%{_bindir}/vte-%{?_binver}

%files -n glade-catalog-vte
%defattr(-,root,root)
%{_datadir}/glade/catalogs/vte-%{?_binver}.xml
%{_datadir}/glade/pixmaps/hicolor/*/*/widget-vte-terminal.png

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/vte-%{_apiver}/
%{_datadir}/gir-1.0/*.gir
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/vte-%{_apiver}/
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/vte-2.91.vapi

%files lang -f vte-%{_apiver}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat May 28 2016 zaitor@opensuse.org
- Add vte-widget_get_preferred_height.patch:
  widget_get_preferred_height: use vertical padding, not
  horizontal. Corresponding patches in gnome-terminal. Patch from
  upstream git (bgo#760944).
* Tue May 24 2016 mgorse@suse.com
- Update to GNOME 3.20.2  Fate#318572
* Thu May 12 2016 zaitor@opensuse.org
- Update to version 0.44.2:
  + emulation:
  - Swallow urxvt OSC 777.
  - Don't use smart tabs if the cells are already in use.
  - Fix Tab not to alter the background color.
  + terminal:
  - Fix search return value.
  - Fix ::get_text start column not to be negative.
  + test: Typo fix.
  + build: Fix the build when an older vte VAPI is present on the
    system.
* Fri Apr 15 2016 hpj@suse.com
- Update to GNOME 3.20 -- Fate#318572.
* Tue Apr 12 2016 dimstar@opensuse.org
- Update to version 0.44.1:
  + widget: Properly remove the cursor from its old position
    (bgo#764299).
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 0.44.0:
  + No changes, version bump only.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 0.43.92:
  + Bugs fixed: bgo#756141, bgo#762963, bgo#763538.
* Tue Mar  1 2016 dimstar@opensuse.org
- Update to version 0.43.91:
  + widget: Don't deselect when updating the clipboard
    (bgo#762446).
* Thu Feb 18 2016 zaitor@opensuse.org
- Update to version 0.43.90:
  + docs: Fix the build.
  + regex: Disable PCRE2 for 0.44.
  + pty:
  - Set COLORTERM variable.
  - Comment cleanup.
  + vtegtk: use CSS name for widget style.
  + lib:
  - Add some missing includes.
  - Move all colour defines to the same place.
  - Remove private header.
  - Remove VteTerminalPrivate from public headers.
  - Build fix.
  - Remove unused prototypes.
  - Remove accidentally committed debug spew.
  + build:
  - Update C++ version check macros from autoconf archive.
  - print version of libpcre2-8 when not found.
  + widget:
  - Change function name.
  - Rename instance members.
  - Move some methods to VteTerminalPrivate.
  - Correct comment.
  - Fix check for changed screen in process_incoming.
  + a11y: Move code into the only caller.
  + app: Fix return value.
  + emulation: Track the cursor separately for the two screens.
- Disable pkgconfig(libpcre2-8) BuildRequires: Upstream removed it
  again for this release, leaving it in place since it is said to
  be back next release round.
* Fri Feb 12 2016 fcrozat@suse.com
- Bump BuildRequires to gtk+ 3.16, which is required to build vte
  test application.
* Fri Feb 12 2016 dimstar@opensuse.org
- Update to version 0.43.2:
  + emulation: Fix stupid typo.
* Fri Feb 12 2016 dimstar@opensuse.org
- Upadte to version 0.43.1:
  + widget:
  - Add debug output when setting geometry hints.
  - Document how to scroll a VteTerminal (bgo#760718).
  - Don't make the VteTerminal app paintable.
  - Fix missing braces.
  - Fix crash when destroyed while waiting for clipboard text.
  + a11y: Use VteTerminal private data directly.
  + Bugs fixed: bgo#760635, bgo#734920, bgo#759346, bgo#759314,
    bgo#759196, bgo#759197, bgo#759054, bgo#726191, bgo#747046,
    bgo#741402, bgo#688456, bgo#695011, bgo#758501.
  + Updated translations.
* Fri Feb 12 2016 zaitor@opensuse.org
- Update to version 0.43.0:
  + doc: Fix vte-regex's section.
  + widget:
  - Implement smooth scrolling.
  - Filter out most of the control characters when pasting.
  + vteapp: Fix option.
  + regex:
  - Fix crash on match_check.
  - Don't expose PCRE2 in the API.
  - Forbid \C in regexes.
  - Fix row number in the new vte_terminal_event_* methods.
  - Fix parameter name in documentation.
- Add pkgconfig(libpcre2-8) BuildRequires: New optional dependency.
* Thu Feb 11 2016 zaitor@opensuse.org
- Update to version 0.42.4:
  + emulation: Track the cursor separately for the two screens
    (bgo#761097).
* Fri Jan 29 2016 zaitor@opensuse.org
- Update to version 0.42.3:
  + widget:
  - Fix missing braces.
  - Fix the adjustment's upper boundary.
  + app: Disable menubar accel.
- Changes from version 0.42.2:
  + Updated translations.
* Wed Oct 14 2015 zaitor@opensuse.org
- Update to version 0.42.1:
  + emulation:
  - Implement DECSET 1004.
  - Fix comment.
  + widget:
  - Fix regex matches not always being recognized.
  - Fix painting the preedit text near the right margin.
  + a11y: Emit missing space character insertion.
  + Updated translations.
* Tue Sep 22 2015 zaitor@opensuse.org
- Update to version 0.42.0:
  + widget: Fix regex matches not always being recognized.
  + emulation:
  - Fix comment.
  - Implement DECSET 1004.
  + tests: mev: Add focus tracking mode.
  + Updated translations.
* Tue Aug 18 2015 zaitor@opensuse.org
- Update to version 0.41.90:
  + build:
  - Fix make dist
  - Fix the required gnutls version
  - Add libc++ check to check-libstdc++.sh
  - Fix build when using C++11 mode
  - Add C++ infrastructure
  - Fix srcdir != builddir issue
  - m4:
    . Respect language
    . Fix m4 warning about missing AC_LANG_SOURCE
    . Update from upstream
  - Remove obsolete gtk check
  + ring: Make assertion more informative (bgo#753025).
  + widget: Ensure cursor is shown when blinking gets turned off
  + emulation:
  - Fix escape sequence of Ctrl+Backspace
  - Fix vertical positioning after resize in some rare cases
  + docs:
  - Fix typo in function name
  - Add missing symbols to sections.txt
  + Remove check for unused fwrite_unlocked function
  + stream:
  - Fix a crash on truncate followed by reset
  - Don't nest VteIv's definition
  + pty:
  - Reset SIGQUIT handler to its default
  - Remove PTY helper
  - More correct assertion
  + all:
  - Fix includes
  - Move to C++
  - Reorganise source tree
  - Fix compilation with CC=g++
  - Update version check to stable version
  + lib:
  - Make VteTerminalPrivate a C++ class
  - Move define to the few places where it is used
  - Move defines to vtedefines.hh
  - Add missing G_BEGIN/END_DECLS
  + emacs: Adjust settings for C++ mode too
  + git.mk: Update from upstream
  + Updated translations.
- Add gcc-c++ BuildRequires following upstream port to gcc-c++
- Drop gnome-pty-helper supackage and obsolete it and drop
  gnome-pty-helper Requires in the main package, following
  upstream changes.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 0.40.2:
  + stream: Fix a crash on truncate followed by reset (bgo#748484).
  + pty: Reset SIGQUIT handler to its default (bgo#748520).
  + lib: Add missing G_BEGIN/END_DECLS.
- Changes from version 0.40.1:
  + emulation: Fix vertical positioning after resize in some rare
    cases (bgo#747059).
  + pty: More correct assertion (bgo#746667).
* Tue Mar 24 2015 dimstar@opensuse.org
- Update to version 0.40.0:
  + updated translations.
* Thu Mar 19 2015 dimstar@opensuse.org
- Update to version 0.39.92:
  + Bugs fixed: bgo#372777, bgo#744837, bgo#745074, bgo#745131,
    bgo#745471, bgo#730632, bgo#730632.
  + Updated translations.
* Wed Feb 18 2015 dimstar@opensuse.org
- Update to version 0.39.90:
  + Bugs fixed: bgo#166637, bgo#446533, bgo#664611, bgo#678042,
    bgo#704960, bgo#725909, bgo#725909, bgo#730632, bgo#738601,
    bgo#742320, bgo#742501, bgo#742606, bgo#743073, bgo#743231,
    bgo#743258.
- Update BuildRequires to match current configure checks:
  + Removed gtk3-devel, ncurses-devel.
  + Add pkgconfig()-style: gio-2.0, gio-unix-2.0, glib-2.0, gnutls,
    gobject-2.0, gtk+-3.0, pango, zlib.
* Thu Dec 18 2014 zaitor@opensuse.org
- Update to version 0.39.1:
  + ring:
  - Add _vte_ring_reset().
  - Don't create streams for the alternate screen.
  + emulation:
  - Modify erase-in-line when cursor is beyond the last column.
  - Fix crash in restore-cursor without a preceding save-cursor.
  - Change soft reset not to switch back to normal screen.
  - Change window manipulation sequences only perform one action.
  + widget:
  - Do not leave behind a zombie child when closing a terminal.
  - Reap only when a child is present.
  + pty: Default to TERM=xterm-256color.
  + build: Drop unitables.
  + doc: Update iso2022.txt: keep only the supported ones and fix
    British.
  + stream:
  - Implement with one file descriptor.
  - Compress data with zlib.
  + Rebuild box_drawing.h if generator script changes.
  + Updated translations.
* Tue Dec 16 2014 zaitor@opensuse.org
- Update to version 0.39.0:
  + emulation:
  - Save/restore alternate charset.
  - Drop support for default/UTF-8 character set escape
    sequences.
  - Drop ISO-2022 support.
  - Add support for C1 control codes.
  - Add support for DECSCUSR (set cursor style).
  + widget:
  - Fix installing the CJK ambiguous width property.
  - Draw attributes on box drawing characters.
  - Remove colon from word chars.
  - Add functions to get the version at runtime.
  - Fix advance_tail if tail is not in the stream.
  + build: Add a missing return value.
  + Updated translations.
* Tue Dec 16 2014 zaitor@opensuse.org
- Update to version 0.38.3:
  + widget:
  - Fix installing the CJK ambiguous width property.
  - Do not leave behind a zombie child when closing a terminal.
  - Reap only when a child is present.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 0.38.2:
  + widget: Check cursor's display before using it.
  + docs: Remove version markers.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 0.38.1:
  + Prevent redefinition of VteCharAttributes as that breaks
    GCC 4.2.
  + Updated translations.
* Sun Sep 14 2014 zaitor@opensuse.org
- Update to version 0.38.0:
  + build: Try fixing builddir != srcdir build.
  + glade:
  - Make catalogue parallel-installable with vte 2.90.
  - Update list of properties (bgo#736508).
  + widget:
  - Rename beep signal to bell (bgo#602726).
  - Remove broken visual bell support (bgo#602726).
  - Make dim color handling more xterm-like (bgo#735245).
  - Fix theming (bgo#735081).
  + vteapp:
  - Make the bell option consistent between the two test apps.
  - Three-state bell option (bgo#602726).
  + Do not use deprecated AM_PROG_CC_STDC (bgo#736180).
  + emulation: Fix sed mistake (bgo#735024).
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 0.37.90:
  + vte.sh: Fix tilde replacement for bash-4.3 (bgo#733504).
  + Various emulation fixes (bgo#731155, bgo#731205).
  + Bugs fixed: bgo#730632, bgo#727587, bgo#657960.
* Wed Jul 16 2014 dimstar@opensuse.org
- Update to version 0.37.2:
  + Bugs fixed: bgo#730800, bgo#731788, bgo#731427, bgo#730858,
    bgo#730760.
- Pass --enable-gnome-pty-helper to configure: enable the helper.
* Mon Jun 30 2014 zaitor@opensuse.org
- Update to version 0.37.0:
  + New API: vte-2.91.
  + Many improvements and bug fixes.
  + Updated translations.
- Add pkgconfig(vapigen) BuildRequires: New dependency.
- Bump so, api and bin versions following upstream changes.
* Mon Jun 30 2014 zaitor@opensuse.org
- Update to version 0.36.3:
  + Important bug fixes.
  + Bug fixes.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 0.36.2:
  + widget: Update background when opacity is changed (bgo#730023).
  + vteapp: Unbreak transparency (bgo#729884).
  + emulation: Change bracketed paste mode to per-terminal.
  + docs: Fix licence header.
* Tue Apr 29 2014 dimstar@opensuse.org
- Update to version 0.36.1:
  + Fix qemu crash (bgo#728051).
  + Updated translations.
* Mon Mar 24 2014 dimstar@opensuse.org
- Update to version 0.36.0:
  + Build fixes (bgo#726604).
  + Docs updates.
* Tue Mar 18 2014 dimstar@opensuse.org
- Update to version 0.35.90:
  + Prompt: Use precmd hook on zsh (bgo#724982).
  + Fix many compiler warnings.
  + Remove obsolete gtk+-2.0 conditional code.
  + Support OSC 19 and 119 sequences (bgo#725974).
  + Also pass Ctrl-F1 to applications (bgo#726438).
  + Nicer box drawing characters (bgo#709556).
* Tue Feb 18 2014 zaitor@opensuse.org
- Update to version 0.35.2:
  + Colour palette handling fixes (bgo#640040).
  + Add support for OSC 104 (reset colors) (bgo#640040).
  + Add support for OSC 1?1[017] (fg, bg, highlight colors)
    (bgo#640040).
  + Add support for OSC 112 (reset cursor color) (bgo#640040).
  + Make OSC response use the same terminator as the query
    (bgo#722446).
  + Maintain selection when rewrapping (bgo#722635).
  + Fix selection with widget padding adjustment (bgo#722873).
* Mon Jan 13 2014 dimstar@opensuse.org
- Update to version 0.35.1:
  + Support for 16 million colors (bgo#704449).
  + Fix Home/End and some other keys (bgo#600659, bgo#643233,
    bgo#710349).
  + Add API to enable/disable rewrap on resize (bgo#336238).
  + Fix a longstanding performance regression (bgo#721944).
  + Bugs fixed: bgo#586950, bgo#619891, bgo#672210, bgo#685759,
    bgo#691972, bgo#720977, bgo#721522.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 0.35.0:
  + Build fixes.
  + Portability fixes (bgo#710165).
  + Bugs fixed: bgo#4993, bgo#13299, bgo#336238, bgo#542087,
    bgo#686097, bgo#693013, bgo#705985, bgo#709692, bgo#709584,
    bgo#709930, bgo#710426, bgo#710481, bgo#710483, bgo#710484,
    bgo#710488, bgo#710486.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 0.34.9:
  + Lines disappear after positioning back the cursor (bgo#708496).
  + Garbage displayed after resizing whilst using an alternate
    screen (bgo#415277).
  + vte uses too many file descriptors (part of bgo#646098).
  + Incorrect scrollbar position after the "less" command
    (bgo#676075).
  + Add support for DEC 1007 to set the alternate scroll mode
    (bgo#518405, bgo#709060).
  + Use O_TMPFILE when available (bgo#704705).
  + Improvements to scrollback storage (bgo#637275).
  + Aborts on assertion (bgo#676075).
  + zsh - lots of blank space upon resizing VTE based terminals
    (bgo#708213).
  + Misc fixes.
* Tue Sep 17 2013 dimstar@opensuse.org
- Update to version 0.34.8:
  + Build fixes.
  + Fix crash on pathological fonts (bgo#708196).
  + Use correct character attributes around graphic characters
    (part of bgo#707221).
  + Make extended fore/background colour handling more xterm-like
    (bgo#616436).
* Mon Jul  8 2013 dimstar@opensuse.org
- Update to version 0.34.7:
  + Honour gtk-enable-primary-paste setting.
  + Redraw when changing colours (bgo#702415).
* Thu Jul  4 2013 dimstar@opensuse.org
- Move vte.sh to gnome-pty-helper subpackage: vte.sh is needed for
  normal operations like starting a new tab in the same directory
  as the previous one (bnc#827248). vte-tools is a rather uncommon
  tool to be installed.
  NOTE: this on its own does not fix the issue just yet, as vte.sh
  is not being sourced by bash without further doing, as bash does
  not source files in /etc/profile.d in non-login shells.
* Sat Jun 15 2013 zaitor@opensuse.org
- Update to version 0.34.6:
  + vte.sh bugfix.
  + Add new flag for vte_terminal_fork_command_full() to not copy
    the parent environment.
  + Allow the empty string to OSC 6 and OSC 7 to unset a previously
    set value.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 0.34.5:
  + Improved vte.sh script (bgo#697475): It is now not necessary
    anymore to manually change PS1. On distributions that
    automatically source /etc/profile.d/*.sh scripts for all
    interactive shells (eg Fedora), no manual intervention is
    needed at all; for others the only change required is to source
    the vte.sh script. Also, the script now works for both bash
    and zsh shells.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 0.34.4:
  + Improved vte.sh script (bgo#697225).
* Mon Mar 25 2013 dimstar@opensuse.org
- Update to version 0.34.3:
  + Introspection fixes (bgo#676999, bgo#690003).
  + Build fixes (bgo#690554).
  + Portability fixes (bgo#694494).
  + Updated translations.
* Tue Nov 13 2012 dimstar@opensuse.org
- Update to version 0.34.2:
  + Updated translations.
* Tue Oct 16 2012 dimstar@opensuse.org
- Update to version 0.34.1:
  + End selection mode misses Shift release (bgo#683730).
  + Don't report shift-left-button release (bgo#683729).
  + xterm extended mouse tracking mode (bgo#681329).
  + Support SGR 3 (italic text) (bgo#685223).
* Sun Sep 16 2012 dimstar@opensuse.org
- Update to version 0.34.0:
  + Fixed drawing of Box Drawing and Block Elements characters
    (bgo#682692)
  + Introspection fixes (bgo#679805, bgo#681714)
  + Build fixes.
* Sun Aug 19 2012 dimstar@opensuse.org
- Update to version 0.33.90:
  + Add sequences to set current directory and file
  + pkgconfig: Remove unused default emulation variable
    (bgo#674490)
  + bash: Add /etc/profile.d/vte.sh script
  + Bugs fixed: bgo#675987, bgo#674490.
* Mon Jul 23 2012 dimstar@opensuse.org
- Update License tags to represent as cloesly as possible the right
  licenses (mostly LGPL-2.0, small parts are GPL-2.0) (bnc#770592).
* Mon Jun  4 2012 dimstar@opensuse.org
- Update to version 0.32.2:
  + emulation: Fix DoS by malicious escape sequences (bgo#676090)
  + widget: Fix crash with NULL tag in match_check (bgo#676886)
  + keymap: Treat ALT as META (bgo#663779)
- Drop vte-keymaps.patch: merged upstream.
* Thu May 17 2012 dimstar@opensuse.org
- Add vte-keymaps.patch: keymap: Treat ALT as META. [bnc#754350,
  bgo#663779].
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 0.32.1:
  + emulation: Fix off-by-one error in interpretation of ECH
    (bgo#670037)
  + pty: Fix custom child setup function (bgo#672649)
  + Fix leak in vte_draw_set_text_font() (bgo#672757)
* Mon Mar 19 2012 dimstar@opensuse.org
- Update to version 0.32.0:
  + Use GResource for our default termcap.
  + Build fixes for interix (bgo#652290).
  + Allocate PTYs with openpty on BSD (bgo#670758).
  + Introspection fixes (bgo#648183, bgo#655402, bgo#661716).
  + Fix mouse whell scrolling with gtk+ 3.4 (bgo#671305).
  + Use correct library name for glade integration (bgo#671760).
  + gnome-pty-helper: Respect SUID_CFLAGS and SUID_LDFLAGS
    (bgo#67073).
- Drop vte-suid_flags.patch: fixed upstream.
- Remove autoconf and automake BuildRequires, and no longer call
  autoreconf in gnome-pty-helper subdirectory, as we don't carry
  any patches anymore.
* Fri Feb 24 2012 vuntz@opensuse.org
- Add vte-suid_flags.patch: respect SUID_CFLAGS/SUID_LDFLAGS when
  building the suid binary gnome-pty-helper.
- Set SUID_CFLAGS to -fPIE and SUID_LDFLAGS to -pie in %%build. This
  fixes bnc#743135.
- Add autoconf and automake BuildRequires, and call autoreconf in
  gnome-pty-helper subdirectory, for the new patch.
* Thu Dec  8 2011 dimstar@opensuse.org
- Split typelib file into typelib-1_0-Vte-2_90 subpackage.
- Add typelib-1_0-Vte-2_90 Requires to devel subpackage.
* Mon Nov 21 2011 dimstar@opensuse.org
- Update to version 0.31.0:
  + Don't override the widget background colour
  + Add missing (closure) annotation on VteSelectionFunc
  + use gtk_drag_check_threshold() (bgo#654691)
  + Add urxvt extended mouse tracking mode support (bgo#662423)
  + Add runtime check for X11 display (bgo#660151)
  + Bugs fixed: bgo#655405, bgo#661121, bgo#616001
  + Updated translations.
* Mon Oct 17 2011 dimstar@opensuse.org
- Update to version 0.30.1:
  + Updated translations.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 0.30.0:
  + Updated translations.
* Thu Sep  1 2011 vuntz@opensuse.org
- Update to version 0.29.1:
  + bgo#657581: gdk-3.0 supports multiple targets; the "target"
    variable is gone
  + bgo#657584: vte needs to properly set VTE_API_VERSION
- Changes from version 0.29.0:
  + Drop GTK 2 support
  + Fix accessibility with GTK 3.1 (bgo#654630)
  + Updated translations.
- Drop vte2 source package that was kept in sync with this source
  package since the GTK+ 2 support got dropped. Also remove
  build_for_gtk2 macro, and anything that was related to it.
- Add pkgconfig(gladeui-2.0) BuildRequires, and enable the build of
  the glade catalog again:
  + Drop build_glade_catalog macro (by doing as if it was set to 1)
  + Rename glade3-catalog-vte to glade-catalog-vte. Note that there
    is no Provides/Obsoletes as the files are different, and there
    is still a glade3 package for which the catalog would not work.
  + Change libvte9 Requires in glade-catalog-vte to
    libvte%%{_sover}.
* Wed Jun 15 2011 vuntz@opensuse.org
- Update to version 0.28.1:
  + bgo#652124: malicious escape sequence causes gnome-terminal to
    exhaust memory
  + Updated translations.
* Wed May 18 2011 vuntz@opensuse.org
- Drop rpmlintrc as the new path for gnome-pty-helper is now known
  by the permissions system.
* Thu May  5 2011 vuntz@opensuse.org
- Use %%set_permissions instead of deprecated %%run_permissions in
  %%post of gnome-pty-helper.
- Move %%verify_permissions to %%verifyscript of gnome-pty-helper.
- Only put gnome-pty-helper scriptlets if %%{build_for_gtk2} is not
  set, since we don't build gnome-pty-helper when building for
  gtk2.
* Wed Apr 27 2011 vuntz@opensuse.org
- Split gnome-pty-helper in its own package, and stop installing it
  in a non-default libexecdir: it is needed by both gtk2 and gtk3
  versions of vte, and we don't want to have it twice. So only keep
  the one we get with the gtk3 build.
- Add Requires for gnome-pty-helper to libvte9 and libvte2_90.
- Update rpmlintrc accordingly.
* Mon Apr  4 2011 fcrozat@novell.com
- Update to version 0.28.0:
  + bgo#642184: vte does not build against new glade (with
    gladeui-2.0).
  + Updated translations.
- Changes with version 0.27.90:
  + Remove gsettings .enums.xml.
  + Fix shrinking terminal on gtk3
  + Updated translations.
- Changes with version 0.27.5:
  + Fix build with recent GTK+
  + Updated translations.
- Changes with version 0.27.4:
  + Fix build with recent GTK+
  + Introspection fixes for fork_command_full
  + Updated translations.
- Changes with version 0.27.3:
  + Add a gsettings .enums.xml file for vte's enum types
  + Fix build with latest gtk 3
  + Fix introspection annotations and require gobject-introspection 0.9.0
  + Bugs fixed: bgo#628870.
  + Updated translations.
- Changes with version 0.27.2:
  + GTK+ 3 fixes.
  + Updated translations.
- Changes with version 0.27.1:
  + Bugs fixed:
  - bgo#631589: Pass the correct TERM value inside envp when
    spawning
  - bgo#631903: Report correct minimum/natural sizes for GTK+ 3
  - bgo#632257: vte leaks FDs
  + Updated translations.
- Add pre_checkin.sh to build gtk2 and gtk3 version of the package
  and add some macros to handle dual gtk2 / gtk3 packages.
- Differences between gtk2 / gtk3 packages:
  + Pass --with-gtk=2.0/--with-gtk=3.0 to configure as appropriate.
  + python-vte is only built for gtk2, as introspection is used for
    gtk3.
- Disable glade catalogue build for gtk3 with build_glade_catalog
  macro, as we don't have a gtk3-powered glade right now.
- Remove %%py_requires from main package since we don't build a vte
  binary package.
- Add rpmlintrc files to avoid a permissions-file-setuid-bit error
  that makes the build fail. Security team will review that
  (bnc#690202).
* Tue Nov 16 2010 dimstar@opensuse.org
- Update to version 0.26.2:
  + bgo#632257: Plug FD leak.
* Tue Nov 16 2010 aj@suse.de
- Use group utmp for gnome-pty-helper (bnc#652877).
* Wed Oct 13 2010 vuntz@opensuse.org
- Update to version 0.26.1:
  + Pass the correct TERM value inside envp when spawning.
  + bgo#631589: set_emulation does not work in the python bindings
* Tue Oct  5 2010 vuntz@opensuse.org
- Split vte according to the shared library policy (bnc#634199):
  + create libvte9, vte-tools, python-vte, glade3-catalog-vte
    subpackages.
  + add Provides/Obsoletes for vte to libvte9, for migration and
    for the lang package
  + use Recommends for the lang package in libvte9
  + add glade3 Requires to glade3-catalog-vte, as well as a
    Supplements for packageand(glade3:vte-devel) for automatic
    installation for people who are developing with VTE.
  + use {_libexecdir}/libvte9 as libexecdir, to potentially have
    multiple versions of gnome-pty-helper parallel-installable (the
    protocol used between the helper and vte could change).
- The glade3-catalog-vte subpackage is part of bnc#637694.
- Remove explicit Requires of devel packages in vte-devel: they
  will be added automatically the pkgconfig() way.
- Update summaries and descriptions.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 0.26.0:
  + Clarify TERM env var handling with VtePty.
  + Build fixes.
  + Updated translations.
* Sun Aug 29 2010 dimstar@opensuse.org
- Update to version 0.25.91:
  + bgo#627764: mismanaged GtkStyle lifecycle
  + bgo#601926: Don't hardcode meta to alt
  + Various build fixes.
  + Updated translations
* Tue Aug 24 2010 vuntz@opensuse.org
- Add gobject-introspection-devel BuildRequires and pass
  - -enable-introspection to configure to build introspection
  support.
* Mon Aug 16 2010 dimstar@opensuse.org
- Update to version 0.25.90:
  + Make vte parallel-buildable with gtk 2 and gtk 3
  + Bugs fixed:
  - bgo#617690: Setting default fg color should not cancel
    underline
  - bgo#614658: text selection with mouse is buggy when using
    the shift key
  - bgo#618749: set terminal widget background color to terminal
    background
  - bgo#601926: Don't hardcode meta to alt
  - bgo#618097: Broken backtab (cbt)
  - bgo#621298: Cursor invisible (plain black) in (xfce) Terminal
    & terminator
  - bgo#626676: Cleanup vte_terminal_determine_colors
  - bgo#620493: strict aliasing warning
  + Translation updates.
* Tue Jul 13 2010 dimstar@opensuse.org
- Update to version 0.25.1:
  + Add support for searching the buffer. New public API:
  - vte_terminal_search_[sg]et_regex
  - vte_terminal_search_find_(previous|next)
* Wed Jun 23 2010 dimstar@opensuse.org
- Update to version 0.24.2:
  + Fix reversed logic for saturation level of background.
  + Build fixes.
  + Updated translations.
* Thu Apr 29 2010 dimstar@opensuse.org
- Update to version 0.24.1:
  + bgo#613525: current git head does not build (undefined
    reference to XGetGeometry)
  + bgo#614469: Does no longer compile with -DX_DISPLAY_MISSING
  + bgo#615417: Reversed and one error saturation level in 0.24.0
- Drop vte-0.24.0-no-transparent-background-bnc594590.patch,
  merged a more complete patch.
* Tue Apr 13 2010 andrea@opensuse.org
- Add vte-0.24.0-no-transparent-background-bnc594590.patch to fix
  segfaults on programs using vte (lxterminal, gnome-terminal)
  with a transparent background. Fix bnc#594590.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 0.24.0:
  + Updated API docs
  + Cache backgrounds as cairo surfaces
  + Updated translations.
- Add libgladeui-1_0-devel BuildRequires and pass
  - -enable-glade-catalogue to configure to build the glade catalog.
- Use libexedir instead of prefix/lib.
* Thu Jan 14 2010 captain.magnus@opensuse.org
- Update to version 0.23.5:
  + Fix unintented soversion bump
- Changes from version 0.23.4:
  + Add public API vte_terminal_write_contents()
  + Update docs
* Thu Jan 14 2010 captain.magnus@opensuse.org
- Update to version 0.23.3:
  + Disable symbol deprecation stuff since they were broken
  + Merge pangocairo draw impl into vtedraw
  + bgo#534526 - Flickering when resizing a vte widget
  + bgo#605299 - Please support xterm bracketed paste mode
* Tue Dec 22 2009 vuntz@opensuse.org
- Update to version 0.23.2:
  + Fix overflow with unlimited scrollback lines
  + Require glib >= 2.22.0
  + Deprecate vte_terminal_get_padding
  + Add VteTerminal::inner-border style property
  + vteapp: Add --cursor-shape option
  + Bugs fixed:
  - bgo#604966 - Fix "select all" to include text occurring after
    the visible region
  - bgo#604135 - [PATCH] fix behaviour of set-scrolling-region
  - bgo#603733 - Remove deprecated Glib symbol
  - bgo#603713 - ibeam/underline cursor broken with large
    inner-border
  - bgo#471920 - Expose the border width property
  - bgo#601265 - gnome-terminal assert failure:
    table.c:723:_vte_table_match
  - revert fix for bgo#591648 - Don't clear the screen when
    switching to the alternate screen
* Sat Nov 14 2009 vuntz@opensuse.org
- Update to version 0.23.1:
  + Various crash and bug fixes
  + Rework mouse selection to be more robust.  In particular,
    PRIMARY selection now only changes when mouse button is
    released, not upon every motion when selecting.
  + Interpret and document negative number of scrollback lines as
    infinite
  + We now chain unhandled motion-notify events up such that the
    parent widget can give them a shot.
  + Bugs fixed:
  - bgo#597604 - assertion failed: (_vte_ring_contains (ring,
    position))
  - bgo#598124 - The selection does not only change when the
    mousebutton is released
  - bgo#598090 - LMB Mouse up event not registered when opining
    context popup menu
  - bgo#587463 - "select all"+copy from gnome-terminal includes
    lines no longer in scrollback
  - bgo#585370 - Incomplete disabling of python
  - bgo#597242 - libvte color and cursor glitches
  - bgo#591648 - Don't clear the screen when switching to the
    alternate screen
  - bgo#595445 - Motion notify events are not propagated to
    parent widget
  - bgo#569184 - vte generates unnecessary ioctl(I_FIND) kernel
    warnings
  - bgo#599444 - Scrollback index type mess
  - bgo#598814 - text.getText(0, -1) triggers assertion in
    vteaccess.c
  - bgo#596739 - Python bindings leak memory
  - bgo#597165 - void return in vte.c
  - bgo#587894 - the environment passing with python does no
    longer work
* Tue Sep 29 2009 dimstar@opensuse.org
- Update to version 0.22.2:
  + Fix crash introduced in previous release
  + Fix a11y assertion failure
  + Improve selection at the end of row
  + bgo#596444 - word-select includes \n when the word ends at the
    edge of the terminal
  + bgo#596460 - 0.22.1 kills vte based apps
  + lp#435646 - gnome-terminal assert failure.
* Mon Sep 28 2009 dimstar@opensuse.org
- Update to version 0.22.1:
  + bgo#596365 - libvte crashes when issueing 'reset' in a terminal
  + bgo#588033 - background tabs may lose lines off the bottom of
    the scrollback
  + bgo#596163 - Doesn't display expected background color in
    ncurses apps
  + bgo#596011 - Problem compiling vte 0.22.0 on Solaris
- Changes from previous versions:
  + Fix tab and wide-char handling
  + Another rewrite of the ring.  Stores ring data on tmp files on
    disk now.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 0.21.5:
  + Finish ring rewrite.  Scrollback buffer consumes ten times less
    memory now, and better, doesn't allocate from the heap, so
    closing tabs actually releases memory.
* Fri Aug 28 2009 dimstar@opensuse.org
- Update to version 0.21.4:
  + Remove another stale assert()
  + Oops, use the right map decoding function is iso2022 code
- Changes from version 0.21.3:
  + Really fix the ring this time
  + Enable g_assert().  May trigger some bogus ones now
- Changes from version 0.21.2:
  + bgo#592990 - gnome terminal crashes with glibc detected.
* Tue Aug 25 2009 dimstar@opensuse.org
- Update to version 0.21.1:
  + Redesigning the vte buffer ring is going on.  Please report any
    misbehavior
  + Bugs fixed in this release:
  - bgo#590824 - gnome-terminal crashed with SIGSEGV after hiting
    ctrl+o
  - bgo#572230 - text mode program rendering is strange in cjk
    locale.
  - bgo#588200 - bashisms in shell scripts
* Wed Jun 10 2009 vuntz@novell.com
- Update to version 0.20.5:
  + Followup release to undo unintentded .soname bump.
* Tue Jun  2 2009 vuntz@novell.com
- Update to version 0.20.4:
  + New enum value VTE_ERASE_TTY.
  + Make VTE_ERASE_AUTO send \H for backspace if terminal erase is
    undefined.
  + bgo#584281 - build: avoid double installation of xterm
  + bgo#543379 - VTE sends NUL/^@ for backspace
* Wed May 27 2009 vuntz@novell.com
- Update to version 0.20.3:
  + bgo#583129 - [python] allow passing None as command or
    directory option
  + bgo#583078 - [python] allow passing of environment as a
    dictionary
* Tue May  5 2009 vuntz@novell.com
- Update to version 0.20.2:
  + bgo#567064 - Work around buggy iconv
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 0.20.1:
  + bgo#574491 – gnome-pty-helper can prevent volumes from being
    unmounted
  + bgo#576504 – vte does not pass its testsuite.
  + bgo#573674 – reset resets width to 80 chars
  + bgo#576797 – Double-click sometimes stops working
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sun Mar 15 2009 vuntz@novell.com
- Update to version 0.20.0:
  + Support using a real bold font instead of pseudo-bolding
  + Respond to fontconfig configuration changes
  + Bugs fixed: bgo#54926, bgo#570208, bgo#548272, bgo#565688,
    bgo#566795, bgo#524170, bgo#566730, bgo#565679, bgo#565675,
    bgo#565663, bgo#575398, bgo#574616, bgo#574025
- Remove -fno-strict-aliasing from CFLAGS.
- Remove unneeded BuildRequires: gtk-doc, update-desktop-files
- Merge -doc into -devel as it only contained gtk-doc
* Fri Jan 23 2009 vuntz@novell.com
- Merge versions from GNOME:Factory:Next and openSUSE:Factory.
- Remove tests for openSUSE <= 10.2.
* Mon Jan 19 2009 crrodriguez@suse.de
- remove "la" files [BNC#357465]
* Sat Dec 20 2008 mboman@suse.de
- Update to version 0.19.4:
  + Support for correct rendering of combining characters
  + Fix background rendering.
  + Misc bug fixes.
  + bgo#564535 – check for gperf in autogen.sh
  + bgo#149631 – gnome-terminal doesn't combine combining chars in utf8
  + bgo#564057 – src/pty.c does not compile with
  - -disable-gnome-pty-helper
  + bgo#562695 - ship pkg-config file for python bindings
  + bgo#563752 – pangocairo backend recreates cairo_surface_t for
    background drawing
  + bgo#163213 – Cursor should remain visible when selected
* Sun Dec  7 2008 mboman@suse.de
- Update to version 0.19.3:
  + Really fix the rendering bug.
  + Bugs fixed: rh#474618, bgo#563274, bgo#563024, bgo#552096, bgo#559818,
    bgo#471480, bgo#110371, bgo#112172, bgo#560667, bgo#541441, bgo#562806,
    bgo#562511, bgo#540951, bgo#465036, bgo#127870, bgo#317236, bgo#107031,
    bgo#521420, bgo#514632, bgo#459553, bgo#562385, bgo#562332, bgo#562338,
    bgo#488960, bgo#561366, bgo#562187, bgo#416518, bgo#500191, bgo#514457,
    bgo#542561, bgo#560766, bgo#536894, bgo#561713, bgo#560819, bgo#560818,
    bgo#560977, bgo#561185, bgo#560817, bgo#560991, bgo#395599, bgo#557375,
    bgo#556398, bgo#339819, bgo#399364, bgo#556328, bgo#549835, bgo#509204,
    bgo#539130
  + Rewrote text selection.  Much less buggy now.  Specially block-mode.
  + Fixed rendering bug caused by wrong tab handling introduced in 0.19.0.
  + More deprecation.  VteReaper is deprecated and will be removed in 1.0.
  + Minor optimizations in the pangocairo backend.  Only one FcFontSort now
    instead of the previous two.
  + New, PangoCairo, rendering backend.  This is functionally equivalent to
    the previous default backend which was Xft.  And just a tad bit faster.
  + All other backends are removed.
  + Configurable cursor shape (block, underline, I-beam).
  + Preliminary object properties added to VteTerminal.
  + Vte now depends on glib, pango, gtk+, and nothing else.
  + API that will be removed in vte 1.0 has been marked deprecated in this
    release.
  + gnome-pty-helper does no longer depend on and link to glib
  + General code maintenance and cleanup.
  + Translation updates
* Tue Sep 23 2008 mboman@suse.de
- Update to version 0.17.4:
  + Translation updates
* Tue Sep  9 2008 maw@suse.de
- Update to version 0.17.3:
  + Update python bindings
  + Bug fixed: bgo#538344.
* Thu Aug 14 2008 mboman@novell.com
- Update to version 0.17.2:
  + Fix crasher on 64bit systems
  + Fix a bunch of warnings
  + Bug bgo#546940 â€“ Crash when selecting text
* Wed Aug  6 2008 maw@suse.de
- Update to version 0.17.1:
  + New API:
  * Make the cursor blinking follow the gtk setting by default,
    with a possible override
  * Set named cursors on matches
  * Do GRegex matching, to be used alternatively to the old
    vteregex matching
  * Add set-scroll-adjustments signal, needed to allow adding a
    VteTerminal into a GtkScrolledWindow
  * Add version check macro
  + Bugs fixed: bgo#546366, bgo#545924, bgo#542795, bgo#399744,
    bgo#510903, bgo#539130, bgo#540182, bgo#535552, bgo#535469,
    bgo#418918, bgo#535467, bgo#535468, and bgo#515972.
* Mon Jun 16 2008 maw@suse.de
- Update to version 0.16.14:
  + Bugs fixed:	bgo#536632, bgo#535022, bgo#534148, and bgo#516869.
* Thu May  1 2008 jpr@suse.de
- Remove vte-0.16.6-dont-disable-all-deprecateds.patch, the
  deprecation is handled in the configure stage now and is off by
  default.
* Fri Mar 14 2008 maw@suse.de
- Update to version 0.16.13:
  + Minor optimizations
  + Bugs fixed: bgo#517709 and bgo#449131.
* Fri Feb  1 2008 maw@suse.de
- Update to version 0.16.12:
  + More work around Gdk backends that don't issue
    GdkVisibilityNotify
  + Bugs fixed: bgo#503164 and bgo#449131.
* Wed Jan 30 2008 sbrabec@suse.cz
- Devhelp documentation moved to the separate package (bnc#248813).
* Tue Jan 29 2008 maw@suse.de
- Update to version 0.16.11:
  + Work around Gdk backends that don't issue GdkVisibilityNotify
  + Try transliteration when pasting text into a non-UTF-8 locale
  + Smart tab character: you can now copy/paste tab characters
    printed by cat, diff, and other line-oriented tools and get
    the tab character in the clipboard, instead of multiple
    spaces; the selection indicates that by being all or none
  + Bugs fixed: bnc#503164, bnc#319687, bnc#497246, bnc#412435,
    bnc#416561, bnc#416558, bnc#403217, bnc#118967, bnc#353610,
    bnc#499892, bnc#499891, bnc#499896, bnc#499893, bnc#499287,
    bnc#142640, bnc#439384, bnc#483642, and bnc#480735.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 0.16.9:
  * Slightly improved pango backend
  * Fixed handling of wrapped links in gnome-terminal
  * Fixed troubles with pad
  * Handle Sun Cut, Copy, Paste keys
  * Fixed vteapp resize weirdness
  * Fixed spaces not underlined
  * Fixed vte crash on removing a terminal tab
  * Misc bug fixes
* Fri Aug 17 2007 maw@suse.de
- Add vte-0.16.8-bnc-300574.patch (#300574, b.g.o #450069).
* Mon Aug  6 2007 maw@suse.de
- Split off a -lang subpackage
- Use %%fdupes
- s#%%run_ldconfig#/sbin/ldconfig# in %%post and %%postun.
* Wed Aug  1 2007 mauro@suse.de 
- Update to version 0.16.8
- Fixed missing documentation in the tarball.
- Bugfixes for #337252, #448259, #449809, #450745.
* Fri Jul  6 2007 maw@suse.de
- Update to version 0.16.6
- Bugs fixed (against bugzilla.gnome.org): #431799, #429189,
  [#415044], #414716, #429278, #440475, #375112, #440377, #433776,
  [#445620], and #372743.
* Wed Apr 11 2007 maw@suse.de
- Update to version 0.16.1, which contains:
- Lots of bug fixes by Chris Wilson
- New feature: mouse scroll-wheel now feeds three arrow-up/down keys to the
  terminal if in the "alternate" mode.  The alternate mode is used by apps
  like vim, less, emacs, screen, etc.  This makes the scroll-wheel usable
  in a state that it was of no use before.
- Bugs fixed in this release:
  * Bug #426870 - vte often passes NUL to functions requiring valid unichar
  * Bug #419644 - Links do not get highlighted anymore
  * Bug #404757 - URL matching doesn't work with PCRE
  * Bug #426541 - crash on IRM escape code
  * Bug #424184 - Make scroll wheel send Page Up/Down when it makes sense
    Original patch by Shaun McCance and refined by Baris Cicek.
  * Bug #425767 - vte_terminal_set_color_highlight should test for
    NULL before _vte_debug_print
  * Bug #422385 - vte appears at the top of the root window even when
    packed at the bottom of it Patch by Dodji Seketeli.
  * Bug #420935 - glyph can be cropped with not fitting in a cell
  * Bug #420067 - Does not handle expose events whilst processing
    unseen incoming data
  * Bug #415381 - Improve performance of vte_terminal_insert_char()
  * Bug #418073 - Opacity ignored for vtexft
  * Bug #418910 - Asymmetric scrolling with mouse wheel
  * Bug #416634 - Rendering glitch as autowrapped chars are outside
    invalidated bbox
  * Bug #416635 - Rendering glitch: double draw of line below exposed region
  * Bug #418588 - Invalid read when drawing preedit cursor
  * Bug #417652 - Scrolling bug exposed by nvi
  * Bug #417301 - Terminal widgets don't respond to DPI changes
  (These bugs are viewable on bugzilla.gnome.org).
* Fri Mar 23 2007 maw@suse.de
- Update to version 0.16.0
- b.g.o fixes include: 412361, 411000, 410534, 410463, 159078,
  411276, 410534, 411276, 414716.
* Mon Feb 19 2007 maw@suse.de
- Update to version 0.15.3
- Update and rename vte-0.14.1.dif to
  vte-0.15.3-dont-disable-all-deprecateds.patch
- Remove vte-no-pwd.dif.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Mon Jan 15 2007 sbrabec@suse.cz
- Fixed devel dependencies.
* Fri Dec  8 2006 maw@suse.de
- Move to /usr, and remove most hardcoded paths
- BuildRequire pkg-config
* Tue Nov 28 2006 sbrabec@suse.cz
- Build as user.
* Sat Oct 14 2006 danw@suse.de
- Remove dead patches
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 0.14.1
- Bug 358344 – autoscroll only works one way in fullscreen
- Bug 353756 – font setting cleanup
- Bug 356616 – libvte broken with new autotools
- Bug 354024 – Suppress multiple warnings for missing control sequence
  handlers
* Mon Sep 25 2006 jhargadon@suse.de
- added %%py_requires to the specfile for bug #207923
* Wed Sep  6 2006 anosek@suse.cz
- update to version 0.14.0
  o Minor doc syntax update.
  o Fix bug causing empty lines to not being copied.
  o Bug 350236 – Cannot copy text; invalid character sequence errors
  o Bug 352439 – URL highlighting seriously broken
  o Bug 351494 – Gnome-terminal doesn't kills bash on tab close
  o Bug 352365 – font caching problem for not-found glyphs
- fixed compiler warning: operation on 'tmp' may be undefined
  [#190917] (warning.patch)
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 0.13.6
- Bug 351696 – crash on Terminal, check ->window before setting
  icon/window title
- Bug 350623 – Accessible text getTextAtOffset is broken
* Wed Aug 16 2006 jhargadon@suse.de
- update to version 0.13.5
- terminal backspace behavior not set to UTF-8 mode
- Bug 348814 – crash on Terminal
- Bug 336947 – [patch] Redundant vte_terminal_set_font_full() calls
- Bug 134800 – gnome-termnal hung up when input by ATOK
- Bug 339983 – gnome-pty-helper should log username
- Bug 121904 – copy-paste of empty line
- Bug 25290 – Small UI tweak to select-by-word
- Bug 311855 – Race in vte leads to blocking of input.
- Bug 339529 – gnome-terminal (vte) crashes when detatched window is
  closed
- Bug 331803 – style needs to be attached/detached to the window on
  realize/unrealize
- Bug 339448 – selection doesn't respect hard newlines
- Bug 160782 – Vte isn't multi-screen safe
- Bug 328850 – Crash when pasting selection
* Wed Aug 16 2006 cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gtk
- don't buildrequire python-gobject2-devel
- fix requires on -devel package
* Wed Aug 16 2006 ro@suse.de
- added python-gobject2-devel to BuildRequires
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 jpr@suse.de
- Fix pkgconfig file Requires.private -> Requires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.11.16.
* Mon Sep 26 2005 mls@suse.de
- make devel package require base package
* Tue Aug 23 2005 gekker@suse.de
- Update to version 0.11.15
* Thu Aug 11 2005 gekker@suse.de
- Update to version 0.11.14
* Wed Jun 22 2005 gekker@suse.de
- Update to version 0.11.13
* Wed Mar 16 2005 gekker@suse.de
- Remove .desktop file, it is just a test tool, not for menus
* Mon Mar  7 2005 gekker@suse.de
- add vte-memory-background.patch
* Thu Mar  3 2005 gekker@suse.de
- update to 0.11.12
* Tue Dec 21 2004 gekker@suse.de
- Update to version 0.11.11
- Rework patches so they apply
- Change spec file so it can find the libs
* Mon Nov 22 2004 ro@suse.de
- make specfile rpm3 compliant ...
  (non numeric if arguments need quoting)
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Tue Oct 19 2004 sbrabec@suse.cz
- Removed /opt/gnome/lib64/vte/gnome-pty-helper from permissions.
- Renamed no locale to nb.
* Tue Oct 19 2004 ro@suse.de
- use special permissions files to build on PLUS
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Wed Sep 22 2004 hhetter@suse.de
- don't do pwd as command when nothing else was given
  (#45813)
* Wed May 19 2004 ro@suse.de
- do not define PANGO_DISABLE_DEPRECATED
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated to version 0.11.10.
* Fri Aug 15 2003 adrian@suse.de
- install desktop file
* Wed Aug  6 2003 ro@suse.de
- don't define GTK_DISABLE_DEPRECATED since python-gtk includes
  still use/support some old features
* Thu Jul 24 2003 hhetter@suse.de
- really prefix to /opt/gnome
- move python stuff to /usr
- %%_lib fixes
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 sbrabec@suse.cz
- Updated to version 0.10.29.
- Use %%find_lang.
* Fri Jun  6 2003 mmj@suse.de
- Add .la to -devel
* Fri Apr  4 2003 ro@suse.de
- use wildcard in filelist for python (should use macro)
* Wed Feb 26 2003 sbrabec@suse.cz
- Make gnome-pty-helper SGID tty, not utmp.
* Tue Feb 25 2003 sbrabec@suse.cz
- Fixed %%files and FHS fix (libexecdir).
* Fri Feb  7 2003 hhetter@suse.de
- updated to version 0.10.17 [GNOME 2.2.0]
* Tue Jan 21 2003 ro@suse.de
- lib64 fix
* Thu Jan 16 2003 hhetter@suse.de
- initial SuSE package
